Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.data
Interface IUserConfigurationDataStore

    public interface IUserConfigurationDataStore

IUserConfigurationDataStore is the interface for storing user configuration data persistently. The interface is provided so that data can be stored in both a portal environment or a servlet environment. Portal provides a persistent storage that can be used and the servlet environment would have to provide a custom store. Note that there is one set of user configuration data. The data values in the map must all conform to the `java.io.Serializable` interface.

Since:
  5.1

Field Summary
`static java.lang.String` | `KEY` The key used for storing the IUserConfigurationDataStore object in the servlet context.

Method Summary
`java.util.Map` | `get(HttpServletRequest request)` Gets the user configuration data from the data store.
`void` | `put(HttpServletRequest request, java.util.Map data)` Stores the given user configuration data in the data store.

Field Detail

### KEY

    static final java.lang.String KEY

  The key used for storing the IUserConfigurationDataStore object in the servlet context.

Method Detail

### put

    void put(HttpServletRequest request,
             java.util.Map data)
             throws java.io.IOException

  Stores the given user configuration data in the data store.

  Parameters:
    `request` - used as context object
    `data` - the Map
  Throws:
    `java.io.IOException` - exception if I/O fails

### get

    java.util.Map get(HttpServletRequest request)
                      throws java.io.IOException

  Gets the user configuration data from the data store.

  Parameters:
    `request` - used as context object
  Returns:
    the stored data map
  Throws:
    `java.io.IOException` - exception if I/O fails

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD